DROP TRIGGER IF EXISTS simp_channel;
#DELIMITER $$
#CREATE TRIGGER simp_channel
#AFTER INSERT ON cdr
#FOR EACH ROW
#BEGIN
#
#SET @orichn   = ''; SET @dstchn = '';
#
#SELECT SUBSTRING(NEW.channel,1,LENGTH(NEW.channel)-LOCATE("-",REVERSE(NEW.channel))) INTO @orichn;
#SELECT SUBSTRING(NEW.dstchannel,1,LENGTH(NEW.dstchannel)-LOCATE("-",REVERSE(NEW.dstchannel))) INTO @dstchn;
#
#IF @dstchan LIKE 'Local/FM%' THEN
#
#SELECT CONCAT('SIP/',SPLIT_STR(REPLACE(REPLACE(dstchannel,'#','-'),'@','-'),'-',2)) INTO @dstchn;
#REPLACE INTO acdrunichan VALUES (NEW.uniqueid,@orichn,@dstchn);
#
#ELSE
#
#REPLACE INTO acdrunichan VALUES (NEW.uniqueid,@orichn,@dstchn);
#
#END IF;
#END;
#$$
#DELIMITER ;
